WrappedFactory
Keywords: org.postgresql.ssl.WrappedFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.ssl
Class WrappedFactory

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              org.postgresql.ssl.WrappedFactory

Direct Known Subclasses:
  NonValidatingFactory

    public abstract class WrappedFactory

extends javax.net.ssl.SSLSocketFactory

Provide a wrapper to a real SSLSocketFactory delegating all calls to the contained instance. A subclass needs only provide a constructor for the wrapped SSLSocketFactory.

Field Summary
`protected javax.net.ssl.SSLSocketFactory` | `_factory`

Constructor Summary
`WrappedFactory()`

Method Summary
`java.net.Socket` | `createSocket(java.net.InetAddress host, int port)`
`java.net.Socket` | `createSocket(java.net.InetAddress address, int port, java.net.InetAddress localAddress, int localPort)`
`java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String host, int port, boolean autoClose)`
`java.net.Socket` | `createSocket(java.lang.String host, int port)`
`java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress localHost, int localPort)`
`java.lang.String[]` | `getDefaultCipherSuites()`
`java.lang.String[]` | `getSupportedCipherSuites()`

Methods inherited from class javax.net.ssl.SSLSocketFactory
`getDefault`

Methods inherited from class javax.net.SocketFactory
`createSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _factory

    protected javax.net.ssl.SSLSocketFactory _factory

Constructor Detail

### WrappedFactory

    public WrappedFactory()

Method Detail

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress host,
                                        int port)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port,
                                        java.net.InetAddress localHost,
                                        int localPort)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress address,
                                        int port,
                                        java.net.InetAddress localAddress,
                                        int localPort)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.SocketFactory`
  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.net.Socket socket,
                                        java.lang.String host,
                                        int port,
                                        boolean autoClose)
                                 throws java.io.IOException

  Specified by:
    `createSocket` in class `javax.net.ssl.SSLSocketFactory`
  Throws:
    `java.io.IOException`

### getDefaultCipherSuites

    public java.lang.String[] getDefaultCipherSuites()

  Specified by:
    `getDefaultCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

### getSupportedCipherSuites

    public java.lang.String[] getSupportedCipherSuites()

  Specified by:
    `getSupportedCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD